고객 부분 수정
curl --request PATCH \
--url https://openapi.pluuug.com/v1/client/{client_id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--header 'X-Signature: <api-key>' \
--data '
{
"status": {
"id": 123
},
"companyName": "<string>",
"inCharge": "<string>",
"position": "<string>",
"contact": "<string>",
"email": "jsmith@example.com",
"content": "<string>",
"businessRegistrationNumber": "<string>",
"ceoName": "<string>",
"companyAddress": "<string>",
"companyDetailAddress": "<string>",
"businessType": "<string>",
"businessClass": "<string>",
"branchNumber": "<string>",
"taxInvoiceEmail": "<string>",
"fieldSet": [
{
"field": {
"id": 123
},
"value": "<string>"
}
]
}
'import requests
url = "https://openapi.pluuug.com/v1/client/{client_id}"
payload = {
"status": { "id": 123 },
"companyName": "<string>",
"inCharge": "<string>",
"position": "<string>",
"contact": "<string>",
"email": "jsmith@example.com",
"content": "<string>",
"businessRegistrationNumber": "<string>",
"ceoName": "<string>",
"companyAddress": "<string>",
"companyDetailAddress": "<string>",
"businessType": "<string>",
"businessClass": "<string>",
"branchNumber": "<string>",
"taxInvoiceEmail": "<string>",
"fieldSet": [
{
"field": { "id": 123 },
"value": "<string>"
}
]
}
headers = {
"X-API-Key": "<api-key>",
"X-Signature": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'X-API-Key': '<api-key>',
'X-Signature': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
status: {id: 123},
companyName: '<string>',
inCharge: '<string>',
position: '<string>',
contact: '<string>',
email: 'jsmith@example.com',
content: '<string>',
businessRegistrationNumber: '<string>',
ceoName: '<string>',
companyAddress: '<string>',
companyDetailAddress: '<string>',
businessType: '<string>',
businessClass: '<string>',
branchNumber: '<string>',
taxInvoiceEmail: '<string>',
fieldSet: [{field: {id: 123}, value: '<string>'}]
})
};
fetch('https://openapi.pluuug.com/v1/client/{client_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"companyName": "<string>",
"created": "2023-11-07T05:31:56Z",
"status": {
"id": 123,
"title": "<string>"
},
"inCharge": "<string>",
"position": "<string>",
"contact": "<string>",
"email": "jsmith@example.com",
"content": "<string>",
"businessRegistrationNumber": "<string>",
"ceoName": "<string>",
"companyAddress": "<string>",
"companyDetailAddress": "<string>",
"businessType": "<string>",
"businessClass": "<string>",
"branchNumber": "<string>",
"taxInvoiceEmail": "<string>",
"fieldSet": [
{
"field": {
"id": 123,
"name": "<string>",
"dataType": "S",
"optionSet": [
{
"id": "<string>",
"title": "<string>"
}
],
"memberSet": [
{
"id": 123,
"nickname": "<string>",
"email": "<string>",
"isActive": true,
"grade": {
"id": 123,
"title": "<string>"
}
}
]
},
"value": "<string>"
}
]
}{
"nonField": [
"<string>"
],
"status": {
"id": [
"<string>"
]
},
"companyName": [
"<string>"
],
"inCharge": [
"<string>"
],
"position": [
"<string>"
],
"contact": [
"<string>"
],
"email": [
"<string>"
],
"content": [
"<string>"
],
"businessRegistrationNumber": [
"<string>"
],
"ceoName": [
"<string>"
],
"companyAddress": [
"<string>"
],
"companyDetailAddress": [
"<string>"
],
"businessType": [
"<string>"
],
"businessClass": [
"<string>"
],
"branchNumber": [
"<string>"
],
"taxInvoiceEmail": [
"<string>"
],
"fieldSet": [
"<string>"
]
}고객
고객 부분 수정
고객 정보를 부분 수정합니다. status.id 변경 시 별도 상태 이력은 기록되지 않습니다 (의뢰와 달리).
PATCH
/
v1
/
client
/
{client_id}
고객 부분 수정
커스텀 필드
- 플러그 Openapi는 고객의 커스텀 필드 값 수정을 지원합니다.
- 커스텀 필드 자체의 수정은 비즈니스 설정 - 필드 설정 탭에서 수정하실 수 있습니다.

-
수정 API의
field_set필드를 활용하여 각 커스텀 필드의 값을 수정하실 수 있습니다. - 커스텀 필드는 총 8가지의 타입을 지원합니다.
- 데이터 입력 예
| 데이터 타입 | 입력 예시 |
|---|---|
| 텍스트 (String) | |
숫자 (Number)
| |
멤버 (Member)
| |
| 날짜 (Date) | |
| 시간 (Time) | |
| 토글 (Boolean) | |
단수선택 리스트 (Single List)
| |
복수선택 리스트 (Multi List)
| |
Authorizations
HMAC-SHA256 방식으로 body를 secret key로 해싱하여 생성한 서명을 넣어야 합니다. 서버는 X-API-Key와 대응되는 secret key로 서명을 검증합니다.
Path Parameters
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
고객 상태
Show child attributes
Show child attributes
회사명
Required string length:
1 - 128담당자
Required string length:
1 - 64직책
Required string length:
1 - 64연락처
Required string length:
1 - 128이메일
Required string length:
1 - 128메모
Minimum string length:
1사업자 등록번호
Required string length:
1 - 16대표자
Required string length:
1 - 128소재지
Required string length:
1 - 256소재지 상세
Required string length:
1 - 256업태
Required string length:
1 - 128종목
Required string length:
1 - 128종사업장 번호
Required string length:
1 - 4세금계산서 전용 이메일
Required string length:
1 - 128커스텀 필드
Show child attributes
Show child attributes
Response
회사명
Maximum string length:
128생성일시
고객 상태
Show child attributes
Show child attributes
담당자
Maximum string length:
64직책
Maximum string length:
64연락처
Maximum string length:
128이메일
Maximum string length:
128메모
사업자 등록번호
Maximum string length:
16대표자
Maximum string length:
128소재지
Maximum string length:
256소재지 상세
Maximum string length:
256업태
Maximum string length:
128종목
Maximum string length:
128종사업장 번호
Maximum string length:
4세금계산서 전용 이메일
Maximum string length:
128커스텀 필드
Show child attributes
Show child attributes